#include <QtGui/QApplication>
#include "mainwindow.h"

#include <QDebug>
#include <QTranslator>


int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    QString locale = QLocale::system().name();
    qDebug()<<"locale: "<<locale;
    QTranslator translator;
    qDebug()<<"Translating: "<<translator.load(QString("/opt/internetradioplayer/translations/internetradioplayer_") + locale +QString(".qm"));
    a.installTranslator(&translator);

    a.setApplicationName("InternetRadioPlayer");
    a.setOrganizationName("GGiovanni88");

    MainWindow w;

    if (!QDBusConnection::sessionBus().isConnected()) {
        qWarning("Cannot connect to the D-Bus session bus.");
        exit(1);
    }

    if (!QDBusConnection::sessionBus().registerService("it.ggiovanni.internetradioplayer")) {
        qWarning("%s", qPrintable(QDBusConnection::sessionBus().lastError().
            message()));
        exit(2);
    }

    if (!QDBusConnection::sessionBus().registerObject("/it/ggiovanni/internetradioplayer", &w,
            QDBusConnection::ExportScriptableSlots)) {
        qWarning("%s", qPrintable(QDBusConnection::sessionBus().lastError().
            message()));
        exit(3);
    }

    w.show();


    return a.exec();
}
